#!/usr/bin/env python
# bin/cs_config_build.py.  Generated from cs_config_build.py.in by configure.
#============================================================================
#
#     This file is part of the Code_Saturne Kernel, element of the
#     Code_Saturne CFD tool.
#
#     Copyright (C) 2009 EDF S.A., France
#
#     contact: saturne-support@edf.fr
#
#     The Code_Saturne Kernel is free software; you can redistribute it
#     and/or modify it under the terms of the GNU General Public License
#     as published by the Free Software Foundation; either version 2 of
#     the License, or (at your option) any later version.
#
#     The Code_Saturne Kernel is distributed in the hope that it will be
#     of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with the Code_Saturne Kernel; if not, write to the
#     Free Software Foundation, Inc.,
#     51 Franklin St, Fifth Floor,
#     Boston, MA  02110-1301  USA
#
#============================================================================

#-------------------------------------------------------------------------------

# Configuration:
# --------------

# use debugging code:                              false
# use graphical user interface:                    yes
# MPI (Message Passing Interface) support:         no
# OpenMP support:                                  no
# BLAS (Basic Linear Algebra Subprograms) support: yes
# Libxml2 (XML Reader) support:                    yes
# IP socket support (for SYRTHES 3 or CFD_Proxy):  yes
# Dynamic loader support (for YACS):               yes


# C compiler used for build: gcc (Ubuntu/Linaro 4.4.4-14ubuntu5) 4.4.5
# --------------------------
# Using built-in specs.
# Target: i686-linux-gnu
# Configured with: ../src/configure -v --with-pkgversion='Ubuntu/Linaro 4.4.4-14ubuntu5' --with-bugurl=file:///usr/share/doc/gcc-4.4/README.Bugs --enable-languages=c,c++,fortran,objc,obj-c++ --prefix=/usr --program-suffix=-4.4 --enable-shared --enable-multiarch --enable-linker-build-id --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.4 --libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu --enable-libstdcxx-debug --enable-objc-gc --enable-targets=all --disable-werror --with-arch-32=i686 --with-tune=generic --enable-checking=release --build=i686-linux-gnu --host=i686-linux-gnu --target=i686-linux-gnu
# Thread model: posix
# gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5) 

# Fortran compiler used for build: GNU Fortran (Ubuntu/Linaro 4.4.4-14ubuntu5) 4.4.5
# --------------------------------
# Using built-in specs.
# Target: i686-linux-gnu
# Configured with: ../src/configure -v --with-pkgversion='Ubuntu/Linaro 4.4.4-14ubuntu5' --with-bugurl=file:///usr/share/doc/gcc-4.4/README.Bugs --enable-languages=c,c++,fortran,objc,obj-c++ --prefix=/usr --program-suffix=-4.4 --enable-shared --enable-multiarch --enable-linker-build-id --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.4 --libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu --enable-libstdcxx-debug --enable-objc-gc --enable-targets=all --disable-werror --with-arch-32=i686 --with-tune=generic --enable-checking=release --build=i686-linux-gnu --host=i686-linux-gnu --target=i686-linux-gnu
# Thread model: posix
# gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5) 

#-------------------------------------------------------------------------------

# Build tools, option, and libraries
#-----------------------------------

class build:
    cc="gcc"
    fc="gfortran"
    cppflags="  -D_POSIX_SOURCE -DNDEBUG       -I/usr/include/libxml2 "
    cflags="-std=c99 -funsigned-char -pedantic -W -Wall -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Wunused -Wfloat-equal -g -O2 -g -Wall -O2  -funroll-loops -O2 -Wuninitialized -march=i686"
    fcflags="-x f95-cpp-input -Wall -Wno-unused  -D_CS_FC_HAVE_FLUSH  -O"
    ldflags="           -Wl,-export-dynamic -Wl,-Bsymbolic-functions -O"
    libs="-lfvm -lm -lcgns  -lhdf5 -lmei -lbft -lz  -lxml2 -lblas  -L/usr/lib/gcc/i686-linux-gnu/4.4.5 -L/usr/lib/gcc/i686-linux-gnu/4.4.5/../../../../lib -L/lib/../lib -L/usr/lib/../lib -L/usr/lib/gcc/i686-linux-gnu/4.4.5/../../.. -lgfortranbegin -lgfortran -lm   -ldl"
    rpath="-Wl,-rpath -Wl,"

class build_syrthes:
    cc="/usr/bin/gcc"
    fc="/usr/bin/gfortran"
    cppflags="-I/usr/lib/syrthes/3.4.2/include"
    cflags="-O2 -D_FILE_OFFSET_BITS=64 -DHAVE_C_IO"
    fcflags="-O2 -DHAVE_C_IO -D_FILE_OFFSET_BITS=64"
    ldflags="    -L/usr/lib/syrthes/3.4.2/lib/Linux"
    libs=" -lbft -lz  -lsatsyrthes3.4.2_Linux -lsyrthes3.4.2_Linux  -L/usr/lib/gcc/i686-linux-gnu/4.4.5 -L/usr/lib/gcc/i686-linux-gnu/4.4.5/../../../../lib -L/lib/../lib -L/usr/lib/../lib -L/usr/lib/gcc/i686-linux-gnu/4.4.5/../../.. -lgfortranbegin -lgfortran -lm"

#-------------------------------------------------------------------------------

def get_config():
    """
    Get the configuration information.
    """
    msg = """\
Compilers and associated options:
  cc = %(cc)s
  fc = %(fc)s
  cppflags = %(cppflags)s
  cflags = %(cflags)s
  fcflags = %(fcflags)s
  ldflags = %(ldflags)s
  libs = %(libs)s
  rpath = %(rpath)s\
"""

    return msg \
        % { 'cc':build.cc, 'fc':build.fc,
            'cppflags':build.cppflags, 'cflags':build.cflags,
            'fcflags':build.fcflags, 'ldflags':build.ldflags,
            'libs':build.libs, 'rpath':build.rpath }

#-------------------------------------------------------------------------------

def get_config_syrthes():
    """
    Get the configuration information.
    """
    msg = """\
Compilers and associated options for SYRTHES build:
  cc = %(cc)s
  fc = %(fc)s
  cppflags = %(cppflags)s
  cflags = %(cflags)s
  fcflags = %(fcflags)s
  ldflags = %(ldflags)s
  libs = %(libs)s\
"""

    return msg \
        % { 'cc':build_syrthes.cc, 'fc':build_syrthes.fc,
            'cppflags':build_syrthes.cppflags, 'cflags':build_syrthes.cflags,
            'fcflags':build_syrthes.fcflags, 'ldflags':build_syrthes.ldflags,
            'libs':build_syrthes.libs }

#-------------------------------------------------------------------------------

def main(argv):
    """
    Main configuration info function.
    """
    import sys
    sys.stdout.write("%(b)s\n\n%(s)s\n" %
                     {'b':get_config(),
                      's':get_config_syrthes()})

if __name__ == '__main__':
    import sys
    main(sys.argv[1:])
